System 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum System.Flags

This enumeration defines permissible values for the property and specifies the security protocols that are used by instances of the class.

Specifies the security protocols that are supported by the Schannel security package.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.SecurityProtocolType Ssl3

  SSL 3.0 has been superseded by the Transport Layer Security (TLS) protocol and is provided for backward compatibility only.

  Specifies the Secure Socket Layer (SSL) 3.0 security protocol.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.SecurityProtocolType Tls

  TLS assumes that a connection-oriented protocol, typically TCP, is in use. The TLS protocol is defined in IETF RFC 2246.

  Specifies the Transport Layer Security (TLS) 1.0 security protocol.